#ifndef MATH_MATRIX_EDIT_H
#define MATH_MATRIX_EDIT_H

#include <QWidget>
#include "qad_types.h"


class MatrixEdit;


class QAD_EXPORT MathMatrixEdit: public QWidget {
	Q_OBJECT
	Q_PROPERTY(QVariant value READ value WRITE setValue NOTIFY valueChanged)
	Q_PROPERTY(bool readOnly READ isReadOnly WRITE setReadOnly)
public:
	explicit MathMatrixEdit(QWidget * parent = 0);
	~MathMatrixEdit();
	
	QVariant value() const;
	bool isReadOnly() const;
	
private:
	MatrixEdit * edit;
	
public slots:
	void setValue(const QVariant & v);
	void setReadOnly(bool yes);

signals:
	void valueChanged();
	
};


class __MathMatrixEditRegistrator__ {
public:
	__MathMatrixEditRegistrator__();
};

static __MathMatrixEditRegistrator__ __mathmatrixeditregistrator__;

#endif // MATH_MATRIX_EDIT_H
